import{s as B,n as D,o as F}from"../chunks/scheduler.f7e1785c.js";import{S as I,i as L,g as i,s as o,r as R,A as W,h as l,f as n,c as r,j as H,u as G,x as f,k as U,y as J,a,v as K,d as N,t as Q,w as V}from"../chunks/index.9f8f0838.js";import{H as X}from"../chunks/Heading.6643a2f7.js";function Y(q){let s,g,y,b,m,_,c,$=`During the training time, text-to-speech models optimize for the mean-square error loss (or mean absolute error) between
the predicted spectrogram values and the generated ones. Both MSE and MAE encourage the model to minimize the difference
between the predicted and target spectrograms. However, since TTS is a one-to-many mapping problem, i.e. the output spectrogram for a given text can be represented in many different ways, the evaluation of the resulting text-to-speech (TTS) models is much
more difficult.`,C,u,z=`Unlike many other computational tasks that can be objectively
measured using quantitative metrics, such as accuracy or precision, evaluating TTS relies heavily on subjective human analysis.`,T,p,E=`One of the most commonly employed evaluation methods for TTS systems is conducting qualitative assessments using mean
opinion scores (MOS). MOS is a subjective scoring system that allows human evaluators to rate the perceived quality of
synthesized speech on a scale from 1 to 5. These scores are typically gathered through listening tests, where human
participants listen to and rate the synthesized speech samples.`,w,h,M=`One of the main reasons why objective metrics are challenging to develop for TTS evaluation is the subjective nature of
speech perception. Human listeners have diverse preferences and sensitivities to various aspects of speech, including
pronunciation, intonation, naturalness, and clarity. Capturing these perceptual nuances with a single numerical value
is a daunting task. At the same time, the subjectivity of the human evaluation makes it challenging to compare and
benchmark different TTS systems.`,S,d,O=`Furthermore, this kind of evaluation may overlook certain important aspects of speech synthesis, such as naturalness,
expressiveness, and emotional impact. These qualities are difficult to quantify objectively but are highly relevant in
applications where the synthesized speech needs to convey human-like qualities and evoke appropriate emotional responses.`,k,v,A=`In summary, evaluating text-to-speech models is a complex task due to the absence of one truly objective metric. The most common
evaluation method, mean opinion scores (MOS), relies on subjective human analysis. While MOS provides valuable insights
into the quality of synthesized speech, it also introduces variability and subjectivity.`,j,x,P;return m=new X({props:{title:"Evaluating text-to-speech models",local:"evaluating-text-to-speech-models",headingTag:"h1"}}),{c(){s=i("meta"),g=o(),y=i("p"),b=o(),R(m.$$.fragment),_=o(),c=i("p"),c.textContent=$,C=o(),u=i("p"),u.textContent=z,T=o(),p=i("p"),p.textContent=E,w=o(),h=i("p"),h.textContent=M,S=o(),d=i("p"),d.textContent=O,k=o(),v=i("p"),v.textContent=A,j=o(),x=i("p"),this.h()},l(e){const t=W("svelte-u9bgzb",document.head);s=l(t,"META",{name:!0,content:!0}),t.forEach(n),g=r(e),y=l(e,"P",{}),H(y).forEach(n),b=r(e),G(m.$$.fragment,e),_=r(e),c=l(e,"P",{"data-svelte-h":!0}),f(c)!=="svelte-5iywum"&&(c.textContent=$),C=r(e),u=l(e,"P",{"data-svelte-h":!0}),f(u)!=="svelte-okjap1"&&(u.textContent=z),T=r(e),p=l(e,"P",{"data-svelte-h":!0}),f(p)!=="svelte-dyvg0f"&&(p.textContent=E),w=r(e),h=l(e,"P",{"data-svelte-h":!0}),f(h)!=="svelte-yxq6zq"&&(h.textContent=M),S=r(e),d=l(e,"P",{"data-svelte-h":!0}),f(d)!=="svelte-1ytx6z6"&&(d.textContent=O),k=r(e),v=l(e,"P",{"data-svelte-h":!0}),f(v)!=="svelte-1no78bk"&&(v.textContent=A),j=r(e),x=l(e,"P",{}),H(x).forEach(n),this.h()},h(){U(s,"name","hf:doc:metadata"),U(s,"content",Z)},m(e,t){J(document.head,s),a(e,g,t),a(e,y,t),a(e,b,t),K(m,e,t),a(e,_,t),a(e,c,t),a(e,C,t),a(e,u,t),a(e,T,t),a(e,p,t),a(e,w,t),a(e,h,t),a(e,S,t),a(e,d,t),a(e,k,t),a(e,v,t),a(e,j,t),a(e,x,t),P=!0},p:D,i(e){P||(N(m.$$.fragment,e),P=!0)},o(e){Q(m.$$.fragment,e),P=!1},d(e){e&&(n(g),n(y),n(b),n(_),n(c),n(C),n(u),n(T),n(p),n(w),n(h),n(S),n(d),n(k),n(v),n(j),n(x)),n(s),V(m,e)}}}const Z='{"title":"Evaluating text-to-speech models","local":"evaluating-text-to-speech-models","sections":[],"depth":1}';function ee(q){return F(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class se extends I{constructor(s){super(),L(this,s,ee,Y,B,{})}}export{se as component};
