import{s as Ee,o as Fe}from"../chunks/scheduler.f6b352c8.js";import{S as De,i as We,g as r,s as i,r as p,A as Ue,h as f,f as l,c as s,j as Ae,u,x as a,k as pt,y as Be,a as n,v as $,d as T,t as o,w as v,m as Ge,n as Oe}from"../chunks/index.7f38e934.js";import{T as Je}from"../chunks/Tip.ae532637.js";import{H as g}from"../chunks/Heading.333929c4.js";function Ke($t){let m;return{c(){m=Ge("💡如果我们对波形进行短时傅里叶变换（STFT）得到其时频谱，我们可以通过其逆向过程（ISTFT）重新得到原始的波形。这是因为STFT生成的时频谱包含了幅值和相位两部分的信息，而这两部分信息都是重建波形所必需的。然而，音频深度学习模型所生成的时频谱往往仅包含了幅值信息。为了将这样的时频谱转化为波形，我们需要通过某种方式估计其相位信息，这便是声码器的功能。")},l(x){m=Oe(x,"💡如果我们对波形进行短时傅里叶变换（STFT）得到其时频谱，我们可以通过其逆向过程（ISTFT）重新得到原始的波形。这是因为STFT生成的时频谱包含了幅值和相位两部分的信息，而这两部分信息都是重建波形所必需的。然而，音频深度学习模型所生成的时频谱往往仅包含了幅值信息。为了将这样的时频谱转化为波形，我们需要通过某种方式估计其相位信息，这便是声码器的功能。")},m(x,h){n(x,m,h)},d(x){x&&l(m)}}}function Qe($t){let m,x,h,Tt,M,ot,P,re='本课程中，我们主要关注Transformer模型以及它们如何应用于音频任务。虽然您不需要了解这些模型的内部细节，但了解使它们工作的主要概念很有用，因此我们在本小节中回顾一下关于Transformer的知识。有关transformer的深入了解，请查看我们的<a href="https://huggingface.co/course/chapter1/1" rel="nofollow">NLP课程</a>。',vt,w,gt,S,fe="Transformer架构最早是为文本翻译的任务而设计的。它的结构如下：",xt,C,ae='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers.svg" alt="Original transformer architecture"/>',Ct,b,me="左边是<strong>编码器</strong>（encoder），右边是<strong>解码器</strong>（decoder）。",_t,y,pe="<li><p>编码器负责接收模型的输入，本例中是一系列文本标记(toen)，并构建其表征（representation，或称特征，feature）。Transformer模型的编码器在经过训练后能够从输入中提取并理解信息。</p></li> <li><p>解码器负责使用编码器生成的表征（特征向量）以及其他输入（先前预测的标记）来生成目标序列。Transformer模型的解码器在经过训练能够根据表征中蕴含的信息生成输出序列。在原始设计中，输出序列由文本标记组成。</p></li>",ct,j,ue="有的Transformer模型只使用编码器（适用于需要理解输入的任务，例如分类），或者只使用解码器（适用于生成文本的任务）。BERT就是一个只使用编码器的例子；GPT2则是一个只使用解码器的例子。",Lt,N,$e="Transformer模型的一个关键特征是它们使用特殊的层，称为<strong>注意力层</strong>（attention layers）。这些层告诉模型在计算特征表示时，特别关注输入序列中的某些元素，而忽略其他元素。",dt,k,Ht,z,Te="本课程中，我们将介绍的音频模型通常具有上图所示的标准Transformer架构，但会在输入或输出端稍作修改来适应音频而非文本序列。由于所有这些模型本质上都是Transformer，因此它们的大部分架构都是相同的，主要区别在于它们的训练和使用方式。",ht,_,oe='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/transformers_blocks.png" alt="The transformer with audio input and output"/>',Mt,q,ve="对于音频任务，输入和/或输出序列可以是音频而非文本：",Pt,I,ge="<li>自动语音识别（ASR）：输入为语音，输出为文本。</li> <li>文本到语音（TTS）：输入为文本，输出为语音。</li> <li>语音分类：输入为语音，输出为类别概率——对于序列中的每个元素，或者对于整个序列的单个类别概率。</li> <li>语音转换或语音增强：输入和输出均为语音。</li>",wt,R,xe="有几种不同的方法可以将音频数据转换为Transformer能够处理的格式。主要的区别在于是使用音频的原始波形作为模型的输入序列，还是使用其时频谱作为输入序列。",St,V,bt,A,Ce="音频模型的输入可以是文本或声音。我们的目标是将此输入转换为一个嵌入向量（embedding vector），以便Transformer架构可以处理。",yt,E,jt,F,_e="文本到语音模型（TTS）接受文本作为输入。这与原始Transformer或任何其他NLP模型的工作方式相同：首先对文本进行标记化（tokenization），得到一系列文本标记。然后将此序列通过输入嵌入层，将标记转换为512维向量。然后将这些嵌入向量传递到Transformer编码器中。",Nt,D,kt,W,ce="自动语音识别模型（ASR）接受语音作为输入。为了使用Transformer解决ASR任务，我们首先需要以某种方式将音频转换为嵌入向量序列。",zt,U,Le='<strong>Wav2Vec2</strong>和<strong>HuBERT</strong>一类的模型直接使用音频波形作为模型的输入。如您在<a href="chapter1/introduction">音频数据章节</a>中所见，波形是一个浮点数序列，其中的每个数表示某个时间点的幅值。我们首先将原始波形标准化为零均值和单位方差的序列，这有助于标准化不同音量（振幅）的音频样本。',qt,c,de='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/wav2vec2-input.png" alt="Wav2Vec2 uses a CNN to create embeddings from the input waveform"/>',It,B,He="完成标准化后，我们将该波形序列被转换为嵌入向量序列。这是通过一个小型卷积神经网络（CNN）完成的，称为<strong>特征编码器</strong>（feature encoder）。该网络的每个卷积层都处理输入序列，对音频进行下采样（subsampling）以减少序列长度，直到最后一个卷积层输出512维向量，即每25毫秒音频的嵌入向量（embedding vector）。当输入序列被转换为这样的嵌入向量序列（embedding vector sequence）后，Transformer便可以像往常一样处理数据了。",Rt,G,Vt,O,he="使用原始波形作为输入的一个缺点是它们往往具有较长的序列长度。例如，采样率为16 kHz的30秒音频输入的长度为<code>30 * 16000 = 480000</code>。长的序列需要在Transformer模型中进行更多的计算，因此会增加内存使用量。",At,J,Me="因此，我们认为在大多数情况下原始音频并不是最有效率的表示音频输入的方式。通过使用<strong>时频谱</strong>（spectrogram），我们可以以更紧凑的形式表示相同数量的信息。",Et,L,Pe='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/whisper-input.png" alt="Whisper uses a CNN to create embeddings from the input spectrogram"/>',Ft,K,we="<strong>Whisper</strong>等模型首先将波形转换为一个对数梅尔频谱图（log-mel spectrogram）。Whisper会将音频分成数个30秒的片段，每个片段的对数梅尔频谱图的形状为<code>(80, 3000)</code>，其中80是梅尔频率的数量，3000是序列的长度。通过将音频转换为对数梅尔频谱图，我们不仅减少了输入数据的数量，而且更重要的是，转换后的序列长度远远小于波形的长度。。最后，对数梅尔频谱图由一个小型CNN处理，转换为嵌入向量序列，然后像往常一样输入Transformer。",Dt,Q,Se="无论是波形还是时频谱输入，我们都会先使用一个小型的神经网络在Transformer之前将输入转换为嵌入向量序列，然后由Transformer接管并完成其工作。",Wt,X,Ut,Y,be="Transformer架构会输出一个隐藏状态向量（hidden-state vectors）的序列，也称为输出嵌入向量（output embedding）。我们的目标是将这些向量转换为文本或音频输出。",Bt,Z,Gt,tt,ye="自动语音识别模型的目标是预测一个文本标记（text token）的序列。这是通过在Transformer的输出上添加一个语言建模（language modeling）头——通常是一个单独的线性层———然后在transformer的输出上添加一个softmax来完成的。该输出预测的是词汇表中文本标记的概率。",Ot,et,Jt,lt,je="对于生成音频的模型，例如文本到语音（TTS）模型，我们需要添加能够生成音频序列的层。通常会生成一个频谱图，然后使用另一个神经网络（称为<strong>声码器</strong>（vocoder））将该频谱图转换为波形。",Kt,nt,Ne="举个例子，<strong>SpeechT5</strong> TTS模型的输出是一个768元素向量的序列。线性层将该序列投影到一个对数梅尔频谱图上。然后，一个由线性层和卷积层组成的后处理网络（post-net）会对频谱图进行降噪处理。最后，我们使用声码器生成输出的音频波形。",Qt,d,ke='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/speecht5.png" alt="SpeechT5 outputs a spectrogram and uses a vocoder to create the waveform"/>',Xt,H,Yt,it,Zt,st,ze="除了生成时频谱作为中间输出的方法外，有些模型也可以直接生成波形输出。但是，目前🤗 Transformers中没有包含能够直接生成波形的模型。",te,rt,ee,ft,qe="总结一下：大多数音频Transformer模型都是相似的——它们都是基于相同的Transformer架构和注意力层构建的。不过，有些模型只使用Transformer的编码器部分，而有些模型则同时使用编码器和解码器。",le,at,Ie="我们也学习了如何在Transformer模型中将音频作为输入或者输出。在ASR、TTS等音频任务中，我们可以改变模型中的部分输入层来将数据转换为嵌入向量序列，也可以改变一部分输出层来将生成的嵌入向量序列转化为输出格式，而Transformer的主体部分保持不变。",ne,mt,Re="接下来，我们将学习几种不同的训练方法来训练一个自动语音识别模型。",ie,ut,se;return M=new g({props:{title:"第3单元：音频Transformer架构",local:"第3单元音频transformer架构",headingTag:"h1"}}),w=new g({props:{title:"Transformer的原理是什么？",local:"transformer的原理是什么",headingTag:"h2"}}),k=new g({props:{title:"使用Transformer进行音频处理",local:"使用transformer进行音频处理",headingTag:"h2"}}),V=new g({props:{title:"模型的输入格式",local:"模型的输入格式",headingTag:"h2"}}),E=new g({props:{title:"文本输入",local:"文本输入",headingTag:"h3"}}),D=new g({props:{title:"波形输入",local:"波形输入",headingTag:"h3"}}),G=new g({props:{title:"时频谱输入",local:"时频谱输入",headingTag:"h3"}}),X=new g({props:{title:"模型的输出格式",local:"模型的输出格式",headingTag:"h2"}}),Z=new g({props:{title:"文本输出",local:"文本输出",headingTag:"h3"}}),et=new g({props:{title:"时频谱输出",local:"时频谱输出",headingTag:"h3"}}),H=new Je({props:{$$slots:{default:[Ke]},$$scope:{ctx:$t}}}),it=new g({props:{title:"波形输出",local:"波形输出",headingTag:"h3"}}),rt=new g({props:{title:"小节",local:"小节",headingTag:"h2"}}),{c(){m=r("meta"),x=i(),h=r("p"),Tt=i(),p(M.$$.fragment),ot=i(),P=r("p"),P.innerHTML=re,vt=i(),p(w.$$.fragment),gt=i(),S=r("p"),S.textContent=fe,xt=i(),C=r("div"),C.innerHTML=ae,Ct=i(),b=r("p"),b.innerHTML=me,_t=i(),y=r("ul"),y.innerHTML=pe,ct=i(),j=r("p"),j.textContent=ue,Lt=i(),N=r("p"),N.innerHTML=$e,dt=i(),p(k.$$.fragment),Ht=i(),z=r("p"),z.textContent=Te,ht=i(),_=r("div"),_.innerHTML=oe,Mt=i(),q=r("p"),q.textContent=ve,Pt=i(),I=r("ul"),I.innerHTML=ge,wt=i(),R=r("p"),R.textContent=xe,St=i(),p(V.$$.fragment),bt=i(),A=r("p"),A.textContent=Ce,yt=i(),p(E.$$.fragment),jt=i(),F=r("p"),F.textContent=_e,Nt=i(),p(D.$$.fragment),kt=i(),W=r("p"),W.textContent=ce,zt=i(),U=r("p"),U.innerHTML=Le,qt=i(),c=r("div"),c.innerHTML=de,It=i(),B=r("p"),B.innerHTML=He,Rt=i(),p(G.$$.fragment),Vt=i(),O=r("p"),O.innerHTML=he,At=i(),J=r("p"),J.innerHTML=Me,Et=i(),L=r("div"),L.innerHTML=Pe,Ft=i(),K=r("p"),K.innerHTML=we,Dt=i(),Q=r("p"),Q.textContent=Se,Wt=i(),p(X.$$.fragment),Ut=i(),Y=r("p"),Y.textContent=be,Bt=i(),p(Z.$$.fragment),Gt=i(),tt=r("p"),tt.textContent=ye,Ot=i(),p(et.$$.fragment),Jt=i(),lt=r("p"),lt.innerHTML=je,Kt=i(),nt=r("p"),nt.innerHTML=Ne,Qt=i(),d=r("div"),d.innerHTML=ke,Xt=i(),p(H.$$.fragment),Yt=i(),p(it.$$.fragment),Zt=i(),st=r("p"),st.textContent=ze,te=i(),p(rt.$$.fragment),ee=i(),ft=r("p"),ft.textContent=qe,le=i(),at=r("p"),at.textContent=Ie,ne=i(),mt=r("p"),mt.textContent=Re,ie=i(),ut=r("p"),this.h()},l(t){const e=Ue("svelte-u9bgzb",document.head);m=f(e,"META",{name:!0,content:!0}),e.forEach(l),x=s(t),h=f(t,"P",{}),Ae(h).forEach(l),Tt=s(t),u(M.$$.fragment,t),ot=s(t),P=f(t,"P",{"data-svelte-h":!0}),a(P)!=="svelte-1uai57a"&&(P.innerHTML=re),vt=s(t),u(w.$$.fragment,t),gt=s(t),S=f(t,"P",{"data-svelte-h":!0}),a(S)!=="svelte-1in8g7a"&&(S.textContent=fe),xt=s(t),C=f(t,"DIV",{class:!0,"data-svelte-h":!0}),a(C)!=="svelte-4s71rk"&&(C.innerHTML=ae),Ct=s(t),b=f(t,"P",{"data-svelte-h":!0}),a(b)!=="svelte-1dv1uvu"&&(b.innerHTML=me),_t=s(t),y=f(t,"UL",{"data-svelte-h":!0}),a(y)!=="svelte-k1twtn"&&(y.innerHTML=pe),ct=s(t),j=f(t,"P",{"data-svelte-h":!0}),a(j)!=="svelte-jz1rfy"&&(j.textContent=ue),Lt=s(t),N=f(t,"P",{"data-svelte-h":!0}),a(N)!=="svelte-zxzx14"&&(N.innerHTML=$e),dt=s(t),u(k.$$.fragment,t),Ht=s(t),z=f(t,"P",{"data-svelte-h":!0}),a(z)!=="svelte-13j6fp1"&&(z.textContent=Te),ht=s(t),_=f(t,"DIV",{class:!0,"data-svelte-h":!0}),a(_)!=="svelte-nwa8hg"&&(_.innerHTML=oe),Mt=s(t),q=f(t,"P",{"data-svelte-h":!0}),a(q)!=="svelte-1b7u59l"&&(q.textContent=ve),Pt=s(t),I=f(t,"UL",{"data-svelte-h":!0}),a(I)!=="svelte-kxqov6"&&(I.innerHTML=ge),wt=s(t),R=f(t,"P",{"data-svelte-h":!0}),a(R)!=="svelte-61f7wq"&&(R.textContent=xe),St=s(t),u(V.$$.fragment,t),bt=s(t),A=f(t,"P",{"data-svelte-h":!0}),a(A)!=="svelte-hrymzh"&&(A.textContent=Ce),yt=s(t),u(E.$$.fragment,t),jt=s(t),F=f(t,"P",{"data-svelte-h":!0}),a(F)!=="svelte-1cbpep9"&&(F.textContent=_e),Nt=s(t),u(D.$$.fragment,t),kt=s(t),W=f(t,"P",{"data-svelte-h":!0}),a(W)!=="svelte-gbr4lr"&&(W.textContent=ce),zt=s(t),U=f(t,"P",{"data-svelte-h":!0}),a(U)!=="svelte-1tu89j6"&&(U.innerHTML=Le),qt=s(t),c=f(t,"DIV",{class:!0,"data-svelte-h":!0}),a(c)!=="svelte-gtur9r"&&(c.innerHTML=de),It=s(t),B=f(t,"P",{"data-svelte-h":!0}),a(B)!=="svelte-1rnzj9o"&&(B.innerHTML=He),Rt=s(t),u(G.$$.fragment,t),Vt=s(t),O=f(t,"P",{"data-svelte-h":!0}),a(O)!=="svelte-1m2ih3f"&&(O.innerHTML=he),At=s(t),J=f(t,"P",{"data-svelte-h":!0}),a(J)!=="svelte-1qnun00"&&(J.innerHTML=Me),Et=s(t),L=f(t,"DIV",{class:!0,"data-svelte-h":!0}),a(L)!=="svelte-byhcj1"&&(L.innerHTML=Pe),Ft=s(t),K=f(t,"P",{"data-svelte-h":!0}),a(K)!=="svelte-1yc9d7s"&&(K.innerHTML=we),Dt=s(t),Q=f(t,"P",{"data-svelte-h":!0}),a(Q)!=="svelte-2laimq"&&(Q.textContent=Se),Wt=s(t),u(X.$$.fragment,t),Ut=s(t),Y=f(t,"P",{"data-svelte-h":!0}),a(Y)!=="svelte-q4jt1s"&&(Y.textContent=be),Bt=s(t),u(Z.$$.fragment,t),Gt=s(t),tt=f(t,"P",{"data-svelte-h":!0}),a(tt)!=="svelte-1njg2en"&&(tt.textContent=ye),Ot=s(t),u(et.$$.fragment,t),Jt=s(t),lt=f(t,"P",{"data-svelte-h":!0}),a(lt)!=="svelte-al3uo1"&&(lt.innerHTML=je),Kt=s(t),nt=f(t,"P",{"data-svelte-h":!0}),a(nt)!=="svelte-12iib08"&&(nt.innerHTML=Ne),Qt=s(t),d=f(t,"DIV",{class:!0,"data-svelte-h":!0}),a(d)!=="svelte-24c3yo"&&(d.innerHTML=ke),Xt=s(t),u(H.$$.fragment,t),Yt=s(t),u(it.$$.fragment,t),Zt=s(t),st=f(t,"P",{"data-svelte-h":!0}),a(st)!=="svelte-5d1pv3"&&(st.textContent=ze),te=s(t),u(rt.$$.fragment,t),ee=s(t),ft=f(t,"P",{"data-svelte-h":!0}),a(ft)!=="svelte-swzu95"&&(ft.textContent=qe),le=s(t),at=f(t,"P",{"data-svelte-h":!0}),a(at)!=="svelte-uccqkc"&&(at.textContent=Ie),ne=s(t),mt=f(t,"P",{"data-svelte-h":!0}),a(mt)!=="svelte-g66cs6"&&(mt.textContent=Re),ie=s(t),ut=f(t,"P",{}),Ae(ut).forEach(l),this.h()},h(){pt(m,"name","hf:doc:metadata"),pt(m,"content",Xe),pt(C,"class","flex justify-center"),pt(_,"class","flex justify-center"),pt(c,"class","flex justify-center"),pt(L,"class","flex justify-center"),pt(d,"class","flex justify-center")},m(t,e){Be(document.head,m),n(t,x,e),n(t,h,e),n(t,Tt,e),$(M,t,e),n(t,ot,e),n(t,P,e),n(t,vt,e),$(w,t,e),n(t,gt,e),n(t,S,e),n(t,xt,e),n(t,C,e),n(t,Ct,e),n(t,b,e),n(t,_t,e),n(t,y,e),n(t,ct,e),n(t,j,e),n(t,Lt,e),n(t,N,e),n(t,dt,e),$(k,t,e),n(t,Ht,e),n(t,z,e),n(t,ht,e),n(t,_,e),n(t,Mt,e),n(t,q,e),n(t,Pt,e),n(t,I,e),n(t,wt,e),n(t,R,e),n(t,St,e),$(V,t,e),n(t,bt,e),n(t,A,e),n(t,yt,e),$(E,t,e),n(t,jt,e),n(t,F,e),n(t,Nt,e),$(D,t,e),n(t,kt,e),n(t,W,e),n(t,zt,e),n(t,U,e),n(t,qt,e),n(t,c,e),n(t,It,e),n(t,B,e),n(t,Rt,e),$(G,t,e),n(t,Vt,e),n(t,O,e),n(t,At,e),n(t,J,e),n(t,Et,e),n(t,L,e),n(t,Ft,e),n(t,K,e),n(t,Dt,e),n(t,Q,e),n(t,Wt,e),$(X,t,e),n(t,Ut,e),n(t,Y,e),n(t,Bt,e),$(Z,t,e),n(t,Gt,e),n(t,tt,e),n(t,Ot,e),$(et,t,e),n(t,Jt,e),n(t,lt,e),n(t,Kt,e),n(t,nt,e),n(t,Qt,e),n(t,d,e),n(t,Xt,e),$(H,t,e),n(t,Yt,e),$(it,t,e),n(t,Zt,e),n(t,st,e),n(t,te,e),$(rt,t,e),n(t,ee,e),n(t,ft,e),n(t,le,e),n(t,at,e),n(t,ne,e),n(t,mt,e),n(t,ie,e),n(t,ut,e),se=!0},p(t,[e]){const Ve={};e&2&&(Ve.$$scope={dirty:e,ctx:t}),H.$set(Ve)},i(t){se||(T(M.$$.fragment,t),T(w.$$.fragment,t),T(k.$$.fragment,t),T(V.$$.fragment,t),T(E.$$.fragment,t),T(D.$$.fragment,t),T(G.$$.fragment,t),T(X.$$.fragment,t),T(Z.$$.fragment,t),T(et.$$.fragment,t),T(H.$$.fragment,t),T(it.$$.fragment,t),T(rt.$$.fragment,t),se=!0)},o(t){o(M.$$.fragment,t),o(w.$$.fragment,t),o(k.$$.fragment,t),o(V.$$.fragment,t),o(E.$$.fragment,t),o(D.$$.fragment,t),o(G.$$.fragment,t),o(X.$$.fragment,t),o(Z.$$.fragment,t),o(et.$$.fragment,t),o(H.$$.fragment,t),o(it.$$.fragment,t),o(rt.$$.fragment,t),se=!1},d(t){t&&(l(x),l(h),l(Tt),l(ot),l(P),l(vt),l(gt),l(S),l(xt),l(C),l(Ct),l(b),l(_t),l(y),l(ct),l(j),l(Lt),l(N),l(dt),l(Ht),l(z),l(ht),l(_),l(Mt),l(q),l(Pt),l(I),l(wt),l(R),l(St),l(bt),l(A),l(yt),l(jt),l(F),l(Nt),l(kt),l(W),l(zt),l(U),l(qt),l(c),l(It),l(B),l(Rt),l(Vt),l(O),l(At),l(J),l(Et),l(L),l(Ft),l(K),l(Dt),l(Q),l(Wt),l(Ut),l(Y),l(Bt),l(Gt),l(tt),l(Ot),l(Jt),l(lt),l(Kt),l(nt),l(Qt),l(d),l(Xt),l(Yt),l(Zt),l(st),l(te),l(ee),l(ft),l(le),l(at),l(ne),l(mt),l(ie),l(ut)),l(m),v(M,t),v(w,t),v(k,t),v(V,t),v(E,t),v(D,t),v(G,t),v(X,t),v(Z,t),v(et,t),v(H,t),v(it,t),v(rt,t)}}}const Xe='{"title":"第3单元：音频Transformer架构","local":"第3单元音频transformer架构","sections":[{"title":"Transformer的原理是什么？","local":"transformer的原理是什么","sections":[],"depth":2},{"title":"使用Transformer进行音频处理","local":"使用transformer进行音频处理","sections":[],"depth":2},{"title":"模型的输入格式","local":"模型的输入格式","sections":[{"title":"文本输入","local":"文本输入","sections":[],"depth":3},{"title":"波形输入","local":"波形输入","sections":[],"depth":3},{"title":"时频谱输入","local":"时频谱输入","sections":[],"depth":3}],"depth":2},{"title":"模型的输出格式","local":"模型的输出格式","sections":[{"title":"文本输出","local":"文本输出","sections":[],"depth":3},{"title":"时频谱输出","local":"时频谱输出","sections":[],"depth":3},{"title":"波形输出","local":"波形输出","sections":[],"depth":3}],"depth":2},{"title":"小节","local":"小节","sections":[],"depth":2}],"depth":1}';function Ye($t){return Fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class nl extends De{constructor(m){super(),We(this,m,Ye,Qe,Ee,{})}}export{nl as component};
