import{s as X,f as Y,n as Z,o as tt}from"../chunks/scheduler.f6b352c8.js";import{S as et,i as lt,g as n,s as i,r as at,A as nt,h as s,f as l,c as r,j as W,u as it,x as m,k as w,y as st,a,v as rt,d as ft,t as mt,w as ut}from"../chunks/index.7f38e934.js";import{H as ot}from"../chunks/Heading.333929c4.js";function pt(I){let u,H,P,L,p,$,c,U="在本节中，我们将探讨如何使用 Transformers 将语音转换为文本，这一任务被称为 <em>语音识别</em>。",y,o,D='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/asr_diagram.png" alt="语音到文本的示意图"/>',A,_,F=`语音识别，也称为自动语音识别（ASR）或语音转文本（STT），是最受欢迎和令人兴奋的语音处理任务之一。
它广泛应用于包括口述、语音助手、视频字幕和会议记录在内的多种应用中。`,S,h,G=`您可能在不知不觉中多次使用过语音识别系统，比如说您智能手机中的数字助手（Siri、Google Assistant、Alexa）！
当您使用这些助手时，它们首先要做的就是将您的语音转写为书面文本，准备用于各种下游任务（比如为您查询天气预报 🌤️）。`,b,v,V="试试下面的语音识别 demo。您可以使用麦克风录制自己的声音，或拖放音频样本文件进行转写：",g,f,B="",J,E,x,K=`语音识别是一项具有挑战性的任务，它需要对音频和文本都有所了解。输入的音频可能有很多背景噪音，并且可能由具有各种口音的说话人发出，这使得从中识别出语音变得困难。
书面文本可能包含无声音的字符，如标点符号，这些信息仅从音频中推断很困难。这些都是我们在构建有效的语音识别系统时必须克服的障碍！`,q,d,N=`现在我们已经定义了我们的任务，我们可以开始更详细地研究语音识别。通过本单元的学习，您将对各种可用的预训练语音识别模型有一个良好的基本理解，并了解如何通过 🤗 Transformers 库使用它们。
您还将了解对一个领域或某种特定语言微调 ASR 模型的过程，使您能够为遇到的任何任务构建一个高效的系统。您将能够向您的亲朋好友现场演示您的模型，一个能够将任何语音转换为文本的模型！`,R,C,O="具体而言，我们将介绍：",j,T,Q='<li><a href="asr_models">语音识别的预训练模型</a></li> <li><a href="choosing_dataset">选择数据集</a></li> <li><a href="evaluation">语音识别的评价指标</a></li> <li><a href="fine-tuning">微调语音识别模型</a></li> <li><a href="demo">创建 demo</a></li> <li><a href="hands_on">实战练习</a></li>',k,M,z;return p=new ot({props:{title:"单元简介",local:"单元简介",headingTag:"h1"}}),{c(){u=n("meta"),H=i(),P=n("p"),L=i(),at(p.$$.fragment),$=i(),c=n("p"),c.innerHTML=U,y=i(),o=n("div"),o.innerHTML=D,A=i(),_=n("p"),_.textContent=F,S=i(),h=n("p"),h.textContent=G,b=i(),v=n("p"),v.textContent=V,g=i(),f=n("iframe"),f.innerHTML=B,E=i(),x=n("p"),x.textContent=K,q=i(),d=n("p"),d.textContent=N,R=i(),C=n("p"),C.textContent=O,j=i(),T=n("ul"),T.innerHTML=Q,k=i(),M=n("p"),this.h()},l(t){const e=nt("svelte-u9bgzb",document.head);u=s(e,"META",{name:!0,content:!0}),e.forEach(l),H=r(t),P=s(t,"P",{}),W(P).forEach(l),L=r(t),it(p.$$.fragment,t),$=r(t),c=s(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-1wneij3"&&(c.innerHTML=U),y=r(t),o=s(t,"DIV",{class:!0,"data-svelte-h":!0}),m(o)!=="svelte-16h6g2l"&&(o.innerHTML=D),A=r(t),_=s(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1a0kyrr"&&(_.textContent=F),S=r(t),h=s(t,"P",{"data-svelte-h":!0}),m(h)!=="svelte-1f96cy0"&&(h.textContent=G),b=r(t),v=s(t,"P",{"data-svelte-h":!0}),m(v)!=="svelte-wqafy4"&&(v.textContent=V),g=r(t),f=s(t,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0,"data-svelte-h":!0}),m(f)!=="svelte-aw0ubw"&&(f.innerHTML=B),E=r(t),x=s(t,"P",{"data-svelte-h":!0}),m(x)!=="svelte-1cn4pkz"&&(x.textContent=K),q=r(t),d=s(t,"P",{"data-svelte-h":!0}),m(d)!=="svelte-94zp8i"&&(d.textContent=N),R=r(t),C=s(t,"P",{"data-svelte-h":!0}),m(C)!=="svelte-51rpan"&&(C.textContent=O),j=r(t),T=s(t,"UL",{"data-svelte-h":!0}),m(T)!=="svelte-1q8lgtd"&&(T.innerHTML=Q),k=r(t),M=s(t,"P",{}),W(M).forEach(l),this.h()},h(){w(u,"name","hf:doc:metadata"),w(u,"content",ct),w(o,"class","flex justify-center"),Y(f.src,J="https://course-demos-whisper-small.hf.space")||w(f,"src",J),w(f,"frameborder","0"),w(f,"width","850"),w(f,"height","450")},m(t,e){st(document.head,u),a(t,H,e),a(t,P,e),a(t,L,e),rt(p,t,e),a(t,$,e),a(t,c,e),a(t,y,e),a(t,o,e),a(t,A,e),a(t,_,e),a(t,S,e),a(t,h,e),a(t,b,e),a(t,v,e),a(t,g,e),a(t,f,e),a(t,E,e),a(t,x,e),a(t,q,e),a(t,d,e),a(t,R,e),a(t,C,e),a(t,j,e),a(t,T,e),a(t,k,e),a(t,M,e),z=!0},p:Z,i(t){z||(ft(p.$$.fragment,t),z=!0)},o(t){mt(p.$$.fragment,t),z=!1},d(t){t&&(l(H),l(P),l(L),l($),l(c),l(y),l(o),l(A),l(_),l(S),l(h),l(b),l(v),l(g),l(f),l(E),l(x),l(q),l(d),l(R),l(C),l(j),l(T),l(k),l(M)),l(u),ut(p,t)}}}const ct='{"title":"单元简介","local":"单元简介","sections":[],"depth":1}';function _t(I){return tt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class dt extends et{constructor(u){super(),lt(this,u,_t,pt,X,{})}}export{dt as component};
